Subject: Artesyn Processor PMC 'Host Bridge' has no IRQ assigned?

From: David Hawkins <[email-masked]>
Date: Tue, 07 Feb 2006 14:27:29 -0800

Hi all,

I mentioned a few weeks back that I had found some
Artesyn PrPMC boards on eBay for about $50 ea.
I purchased a couple of the boards, I have booted
one on a PMC site on a x86 compact PCI host CPU board.

 From the x86 host, if I perform lspci on the
board, its recognized as a 'Host Bridge';

# lspci -s 02:03.0 -vv
02:03.0 Host bridge: Artesyn Communication Products PM/PPC (rev 01)
         Subsystem: Unknown device 00f9:1014
         Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- 
ParErr- Stepping- SERR+ FastB2B-
         Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium 
 >TAbort- <TAbort- <MAbort- >SERR- <PERR-
         Region 1: Memory at f4000000 (32-bit, prefetchable) [size=64M]
         Region 2: Memory at f0700000 (32-bit, prefetchable) [size=4K]

What appears strange to me is that there is no IRQ assigned.
How then would one write a driver on the PMC board that
could interrupt the x86 Host CPU??

I haven't used PrPMC boards before, so perhaps this
is normal.

Travis, you mentioned you'd used this board before. Do you
recall if this 'feature' is configurable, i.e., can I enable
an interrupt. I'll also take a look in the IBM CPC700 bridge
data sheet and see if I can see anything in there.

I checked the mode of the PMC board using the monitor program.
It says its in non-Monarch mode, so it is correctly configuring
itself as a PCI peripheral.

My objective for the board is to put U-Boot on it (Travis mentioned
the Artesyn board is supported), boot Linux, and then write
drivers for communicating over PCI to an x86 host (much as
I plan to do with the 440EP processor).

Anyway, comments welcome!

Dave